{% extends 'base.html' %}

{% block title %}
{{ config.title }} | {{ page.title }}
{% endblock %}

{% block content %}
<section class="section">
{% if page.extra.blogimage %}
  <a>
    <img class="column is-8 is-offset-2" 
    src="{{ page.extra.blogimage }}">
  </a>
{% endif %}
  <div class="container">
    <div class="columns">
      <div class="column is-8 is-offset-2">
        <article class="box">
          <h1 class="title">
            {{ page.title }}
          </h1>
          <p class="subtitle">{{ page.description }}</p>
          <div class="columns is-multiline is-gapless">
            <div class="column is-8">
              {{ macros::page_publish_metadata(page=page) }}
            </div>
            <div class="column is-4 has-text-right-desktop">
              {{ macros::page_content_metadata(page=page) }}
            </div>
            <div class="column">
              {% if page.taxonomies.categories %}
              {{ macros::render_categories(categories=page.taxonomies.categories) }}
              {% endif %}
            </div>
            <div class="column has-text-right-desktop">
              {% if page.taxonomies.tags %}
              {{ macros::render_tags(tags=page.taxonomies.tags) }}
              {% endif %}
            </div>
          </div>
          <div class="content mt-2">
            {{ page.content | safe }}
          </div>
        </article>
      </div>
      {% if page.extra.toc %}
      <div class="column is-2 is-hidden-mobile">
        <aside class="menu" style="position: sticky; top: 48px">
          <p class="heading has-text-weight-bold">Contents</p>
          <ul class="menu-list">
            {% for h1 in page.toc %}
            <li>
              <a id="link-{{h1.id}}" class="toc is-size-7"
                href="{{ h1.permalink | safe }}">
                {{ h1.title }}
              </a>
              {% if h1.children %}
              <ul>
                {% for h2 in h1.children %}
                <li>
                  <a id="link-{{h2.id}}" class="toc is-size-7" href="{{ h2.permalink | safe }}">
                    {{ h2.title }}
                  </a>
                </li>
                {% endfor %}
              </ul>
              {% endif %}
            </li>
            {% endfor %}
          </ul>
        </aside>
      </div>
      {% endif %}
    </div>
  </div>
</section>
{% endblock %}

{% block pagination %}
{% if page.earlier or page.later or page.lighter or page.heavier %}
<section class="section">
  <div class="container">
    <div class="columns is-centered">
      <div class="column is-8">
        <nav class="level">
          {% if page.later %}
          <div class="level-item has-text-centered">
            <a class="button is-black is-outlined" href="{{ page.later.permalink }}">
              <span class="icon mr-2">
                <i class="fas fa-arrow-circle-left"></i>
              </span>
              {{ page.later.title }}
            </a>
          </div>
          {% endif %} {% if page.earlier %}
          <div class="level-item has-text-centered">
            <a class="button is-black is-outlined" href="{{ page.earlier.permalink }}">
              {{ page.earlier.title }}<span class="icon ml-2">
                <i class="fas fa-arrow-circle-right"></i>
              </span>
            </a>
          </div>
          {% endif %} {% if page.heavier %}
          <div class="level-item has-text-centered">
            <a class="button is-black is-outlined" href="{{ page.heavier.permalink }}">
              <span class="icon mr-2">
                <i class="fas fa-arrow-circle-left"></i>
              </span>
              {{ page.heavier.title }}
            </a>
          </div>
          {% endif %} {% if page.lighter %}
          <div class="level-item has-text-centered">
            <a class="button is-black is-outlined" href="{{ page.lighter.permalink }}">
              {{ page.lighter.title }}<span class="icon ml-2">
                <i class="fas fa-arrow-circle-right"></i>
              </span>
            </a>
          </div>
          {% endif %}
        </nav>
      </div>
    </div>
  </div>
</section>
{% endif %}
{% endblock %}


